import { Binding, Component, ControllerClass, ProviderMap, ServiceOrProviderClass } from '@loopback/core';
import { Class, Model, Repository } from '@loopback/repository';
import { RestApplication } from '@loopback/rest';
import { TaskServiceConfig } from './types';
export declare class TaskServiceComponent implements Component {
    private readonly application;
    private readonly config?;
    repositories?: Class<Repository<Model>>[];
    /**
     * An optional list of Model classes to bind for dependency injection
     * via `app.model()` API.
     */
    models?: Class<Model>[];
    providers: ProviderMap;
    services?: ServiceOrProviderClass[];
    /**
     * An array of controller classes
     */
    controllers?: ControllerClass[];
    bindings?: Binding[];
    constructor(application: RestApplication, config?: TaskServiceConfig | undefined);
    /**
     * Setup ServiceSequence by default if no other sequnce provided
     */
    setupSequence(): void;
}
