"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpStreamService = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const core_2 = require("@sourceloop/core");
const services_1 = require("./services");
let HttpStreamService = class HttpStreamService {
    constructor(webhookService, logger) {
        this.webhookService = webhookService;
        this.logger = logger;
    }
    async triggerHandler(event) {
        if (this._handler) {
            await this._handler(event);
        }
        else {
            this.logger.error('No handler registered for HttpStreamService');
        }
    }
    async subscribe(handler) {
        this._handler = handler;
    }
    async unsubscribe() {
        this._handler = undefined;
    }
    async publish(event) {
        await this.webhookService.triggerWebhook(event);
    }
};
exports.HttpStreamService = HttpStreamService;
exports.HttpStreamService = HttpStreamService = tslib_1.__decorate([
    (0, core_1.injectable)({ scope: core_1.BindingScope.SINGLETON }),
    tslib_1.__param(0, (0, core_1.service)(services_1.WebhookService)),
    tslib_1.__param(1, (0, core_1.inject)(core_2.LOGGER.LOGGER_INJECT)),
    tslib_1.__metadata("design:paramtypes", [services_1.WebhookService, Object])
], HttpStreamService);
//# sourceMappingURL=http-stream.service.js.map